gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.Requisition

Contents

- Exported types
- Methods
  - copy
  - free
  - new
- Properties
  - height
  - width

Description

Represents the desired size of a widget.

See GtkWidget’s geometry management section for more information.

Synopsis

- newtype Requisition = Requisition (ManagedPtr Requisition)
- newZeroRequisition :: MonadIO m => m Requisition
- requisitionCopy :: (HasCallStack, MonadIO m) => Requisition -> m Requisition
- requisitionFree :: (HasCallStack, MonadIO m) => Requisition -> m ()
- requisitionNew :: (HasCallStack, MonadIO m) => m Requisition
- getRequisitionHeight :: MonadIO m => Requisition -> m Int32
- setRequisitionHeight :: MonadIO m => Requisition -> Int32 -> m ()
- getRequisitionWidth :: MonadIO m => Requisition -> m Int32
- setRequisitionWidth :: MonadIO m => Requisition -> Int32 -> m ()

# Exported types

newtype Requisition Source #

Memory-managed wrapper type.

Constructors

Requisition (ManagedPtr Requisition) |

#### Instances

Instances details

Eq Requisition Source # |
Instance details Defined in GI.Gtk.Structs.Requisition Methods (==) :: Requisition -> Requisition -> Bool Source # (/=) :: Requisition -> Requisition -> Bool Source #
GBoxed Requisition Source # |
Instance details Defined in GI.Gtk.Structs.Requisition
ManagedPtrNewtype Requisition Source # |
Instance details Defined in GI.Gtk.Structs.Requisition Methods toManagedPtr :: Requisition -> ManagedPtr Requisition Source #
TypedObject Requisition Source # |
Instance details Defined in GI.Gtk.Structs.Requisition Methods glibType :: IO GType Source #
HasParentTypes Requisition Source # |
Instance details Defined in GI.Gtk.Structs.Requisition
tag ~ 'AttrSet => Constructible Requisition tag Source # |
Instance details Defined in GI.Gtk.Structs.Requisition Methods new :: MonadIO m => (ManagedPtr Requisition -> Requisition) -> [AttrOp Requisition tag] -> m Requisition Source #
IsGValue (Maybe Requisition) Source # | Convert `Requisition` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Structs.Requisition Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Requisition -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Requisition) Source #
type ParentTypes Requisition Source # |
Instance details Defined in GI.Gtk.Structs.Requisition type ParentTypes Requisition = '[] :: [Type]

newZeroRequisition :: MonadIO m => m Requisition Source #

Construct a `Requisition` struct initialized to zero.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

copy, free.

#### Getters

None.

#### Setters

None.

## copy

requisitionCopy Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Requisition | `requisition`: a `GtkRequisition`
-> m Requisition | Returns: a copy of `requisition`

Copies a `GtkRequisition`.

## free

requisitionFree Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Requisition | `requisition`: a `GtkRequisition`
-> m () |

Frees a `GtkRequisition`.

## new

requisitionNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Requisition | Returns: a new empty `GtkRequisition`

Allocates a new `GtkRequisition`.

The struct is initialized to zero.

# Properties

## height

the widget’s desired height

getRequisitionHeight :: MonadIO m => Requisition -> m Int32 Source #

Get the value of the “`height`” field. When overloading is enabled, this is equivalent to

    get requisition #height

setRequisitionHeight :: MonadIO m => Requisition -> Int32 -> m () Source #

Set the value of the “`height`” field. When overloading is enabled, this is equivalent to

    set requisition [ #height := value ]

## width

the widget’s desired width

getRequisitionWidth :: MonadIO m => Requisition -> m Int32 Source #

Get the value of the “`width`” field. When overloading is enabled, this is equivalent to

    get requisition #width

setRequisitionWidth :: MonadIO m => Requisition -> Int32 -> m () Source #

Set the value of the “`width`” field. When overloading is enabled, this is equivalent to

    set requisition [ #width := value ]